# typed: true
class RemoveInkbunnyUserAvatarsAndAddAvatarColumnsToUsers < ActiveRecord::Migration[
  7.2
]
  def change
    drop_table :domain_inkbunny_user_avatars

    add_column :domain_inkbunny_users, :avatar_downloaded_at, :datetime
    add_column :domain_inkbunny_users, :avatar_state, :integer
    add_column :domain_inkbunny_users,
               :avatar_state_detail,
               :jsonb,
               default: {
               },
               null: false
  end
end
